Subject: bug#69246: 30.0.50; persistent key input delay after using vc commands in pgtk

From: Nick OBrien <[email-masked]>
Date: Sun, 18 Feb 2024 20:36:46 +0000

I ran the profiler twice: once before the input lag started, and once after.
Each time, I ran M-x profiler-start RET RET, repeated C-f C-b for roughly 20
seconds, then ran M-x profiler-stop and M-x profiler-report.

In the foo buffer before running vc-annotate (no noticeable input delay):

          44  63% - command-execute
          44  63%  - byte-code
          44  63%   - read-extended-command
          44  63%    - read-extended-command-1
          44  63%     - completing-read-default
          13  18%        redisplay_internal (C function)
          24  34%   redisplay_internal (C function)
           1   1% - undo-auto--add-boundary
           1   1%    undo-auto--boundaries
           0   0%   ...

In the foo buffer after running vc-annotate, pressing p p n n, and killing the
vc-annotate buffer (noticeable input delay):

          43  72% - command-execute
          42  71%  - byte-code
          42  71%   - read-extended-command
          42  71%    - read-extended-command-1
          42  71%     - completing-read-default
           4   6%        redisplay_internal (C function)
           2   3%      - command-execute
           2   3%         interactive-form
           1   1%  - funcall-interactively
           1   1%     execute-extended-command
          13  22%   redisplay_internal (C function)
           3   5% - timer-event-handler
           3   5%  - apply
           2   3%   - show-paren-function
           1   1%      show-paren--default
           1   1%   - #<subr F616e6f6e796d6f75732d6c616d626461_anonymous_lambda_9>
           1   1%      jit-lock-context-fontify
           0   0%   ...

I was able to reproduce the lag on another computer running the same OS (NixOS)
and desktop environment (GNOME with Wayland). I can try to reproduce it with
another linux distribution if that would help.

On Sunday, February 18th, 2024 at 1:31 PM, Eli Zaretskii <[email-masked]> wrote:

> Then I suggest to run "M-x profiler-start RET RET", press several keys
> that responds with delay, then "M-x profiler-report RET", and post the
> full profile after fully expanding it. That could tell us what is
> getting in the way.
> 
> FWIW, I tried to reproduce this on my system, but didn't see any
> delays.